#!/bin/bash

# grdsample /usr/local/gmt/cr_high.grd -Gg3.grd -R-84.0/-83.55/9.7/10.0
# grdsample /usr/local/gmt/int_high.grd -Gg3.int -R-84.0/-83.55/9.7/10.0
# grdgradient g3.grd -Gg3.int -A020 -Nt0.8


gmt gmtset MAP_FRAME_TYPE PLAIN
gmt gmtset PS_MEDIA letter


cat<<END>mapa_centro.dat
-84.037 10.065
END

cat<<END>epi.dat
-84.037 10.065
END

cat<<END>replicas.dat
M	2023-05-13 14:14:42	2023-05-13 20:14:42	10.096	-84.026	Mapa del epicentro	10.9	3.2	2.52	S.J. Montana Barva
M	2023-05-13 12:14:00	2023-05-13 18:14:00	10.067	-84.032	Mapa del epicentro	9.5	3.8	8.34	S.J. Montana Barva
M	2023-05-13 11:38:35	2023-05-13 17:38:35	10.1	-84.032	Mapa del epicentro	11	3.4	2.47	S.J. Montana Barva
A	2023-05-12 16:18:31	2023-05-12 22:18:31	10.065	-84.037	Mapa del epicentro	8.9	4.0	75.57	S.J. Montana, Barva
M	2023-05-12 08:50:36	2023-05-12 14:50:36	10.078	-84.027	Mapa del epicentro	6.4	3.4	10.65	S.J. Montana Barva
END


e1=`awk '{print $1-0.25}' mapa_centro.dat`
e2=`awk '{print $1+0.25}' mapa_centro.dat`
e3=`awk '{print $2-0.25}' mapa_centro.dat`
e4=`awk '{print $2+0.25}' mapa_centro.dat`


gmt psbasemap -R$e1/$e2/$e3/$e4 -JM7.8i -B0 -P  -K -X0.3i -Y2.0i -V > p.ps
gmt grdimage /usr/local/gmt/cr_full.grd -R -JM -C/usr/local/gmt/ampl/s.cpt -X0 -Y0 -I/usr/local/gmt/int_full.grd -K -O >> p.ps

gmt pscoast -R -J -N1/2 -W1 -X0 -Y0 -B -Df -O  -K -Lfx6.9i/0.8i/10.0/10.0+lkm  -S0/149/255  >> p.ps
gmt pscoast -R -J -N2/2,white -B -Df -O -K >> p.ps

gmt psxy /usr/local/gmt/fallas/*.falla -R -J -B -O -K -W1,red >> p.ps
gmt psxy -O -J -R  -W2 /usr/local/gmt/calles/calles_primarias_5 -K >> p.ps
gmt psxy -O -J -R  -W1, /usr/local/gmt/calles/calles_secundarias_5 -K >> p.ps
gmt psxy -O -J -R  -W0.5,20 /usr/local/gmt/calles/calles_terciarias_5 -K >> p.ps


awk -F\; '{if($6=="M") print $1,$2}' /usr/local/gmt/lugares/distritos.txt | gmt psxy -R -JM -O -K -G70 -Ss0.09i >> p.ps
awk -F\; '{if($6=="M") print $1,$2+.003,$3}' /usr/local/gmt/lugares/distritos.txt  | gmt pstext -F+f11p,Bookman-LightItalic+a0+jML -R -JM -O -K >> p.ps


awk '{print $1,$2}' mapa_centro.dat |gmt  psxy -R -J -Sc0.1 -G0 -O -K >> p.ps
awk '{print $7,$6}' replicas.dat | gmt psxy -R -J -W0.2,black -Sc0.20i -Ggreen -O -K >> p.ps

#Epicentro
awk '{print $1+0.0015,$2-0.0015}' epi.dat | gmt psxy -R -J -W0.2 -Sc0.20i -G0 -O -K >> p.ps
gmt psxy -R -J -W0.2,black -Sc0.20i -Ggreen -O -K epi.dat >> p.ps

r1=`awk '{print $1+0.245}' mapa_centro.dat`
r2=`awk '{print $2+0.245}' mapa_centro.dat`
gmt pstext -R -J -O -K -G0 -F+f14p,Helvetica-Bold,yellow,+jTR -TO <<END>> p.ps
$r1 $r2 Detalle de la zona epicentral
END
# 
r1=`awk '{print $1+0.242}' mapa_centro.dat`
r2=`awk '{print $2-0.24}' mapa_centro.dat`
gmt pstext -R -JM -O -K -F+f12p,Helvetica-Bold,black,+jBR -W0.1 -Gwhite -TO   <<END>> p.ps
$r1 $r2 Laboratorio de Ingenier\355a S\355smica (LIS-UCR)
END
# 



echo "Recuadro"

r1=`awk '{print $1-0.24}' mapa_centro.dat`
r2=`awk '{print $2-0.245}' mapa_centro.dat`
r3=`awk '{print $1-0.045}' mapa_centro.dat`
r4=`awk '{print $2-0.13}' mapa_centro.dat`
gmt psxy -R -J -W2 -Glightbrown -O -K <<END>> p.ps
$r1 $r2
$r3 $r2
$r3 $r4
$r1 $r4
$r1 $r2
END

r1=`awk '{print $1-0.19}' mapa_centro.dat`
r2=`awk '{print $2-0.235}' mapa_centro.dat`
gmt pstext -R -J  -O -K -F+f14p,Helvetica-Bold,black,+jBL <<END>> p.ps
$r1 $r2 Fallas activas
END
r1=`awk '{print $1-0.23}' mapa_centro.dat`
r2=`awk '{print $2-0.23}' mapa_centro.dat`
r3=`awk '{print $1-0.20}' mapa_centro.dat`
gmt psxy -R -J -O -K -W3,red <<END>> p.ps
$r1 $r2
$r3 $r2
END

r1=`awk '{print $1-0.19}' mapa_centro.dat`
r2=`awk '{print $2-0.215}' mapa_centro.dat`
gmt pstext -R -JM -O -K -F+f14p,Helvetica-Bold,black,+jBL <<END>> p.ps
$r1 $r2 Carreteras secundarias
END
r1=`awk '{print $1-0.23}' mapa_centro.dat`
r2=`awk '{print $2-0.21}' mapa_centro.dat`
r3=`awk '{print $1-0.20}' mapa_centro.dat`
gmt psxy -R -JM -O -K -W2,50 <<END>> p.ps
$r1 $r2
$r3 $r2
END
# 
# 
r1=`awk '{print $1-0.19}' mapa_centro.dat`
r2=`awk '{print $2-0.195}' mapa_centro.dat`
gmt pstext -R -JM -O -K -F+f14p,Helvetica-Bold,black,+jBL <<END>> p.ps
$r1 $r2  Carreteras principales
END
r1=`awk '{print $1-0.23}' mapa_centro.dat`
r2=`awk '{print $2-0.19}' mapa_centro.dat`
r3=`awk '{print $1-0.20}' mapa_centro.dat`
gmt psxy -R -JM -O -K -W3,0 <<END>> p.ps
$r1 $r2
$r3 $r2
END
 
r1=`awk '{print $1-0.19}' mapa_centro.dat`
r2=`awk '{print $2-0.175}' mapa_centro.dat`
gmt pstext -R -JM -O -K -F+f14p,Helvetica-Bold,black,+jBL <<END>> p.ps
$r1 $r2 L\355mite de provincia
END
r1=`awk '{print $1-0.23}' mapa_centro.dat`
r2=`awk '{print $2-0.17}' mapa_centro.dat`
r3=`awk '{print $1-0.20}' mapa_centro.dat`
gmt psxy -R -JM -O -K -W3,255 <<END>> p.ps
$r1 $r2
$r3 $r2
END


r1=`awk '{print $1-0.19}' mapa_centro.dat`
r2=`awk '{print $2-0.155}' mapa_centro.dat`
gmt pstext -R -J -O -K -F+f14p,Helvetica-Bold,black,+jBL   <<END>> p.ps
$r1 $r2 Epicentro
END
r1=`awk '{print $1-0.22}' mapa_centro.dat`
r2=`awk '{print $2-0.15}' mapa_centro.dat`
gmt psxy -R -J -O -K -Sc0.24i -W0.5 -Ggreen <<END>> p.ps
$r1 $r2
END


f1=`awk '{print $1-4}' mapa_centro.dat`
f2=`awk '{print $1+4}' mapa_centro.dat`
f3=`awk '{print $2-4}' mapa_centro.dat`
f4=`awk '{print $2+4}' mapa_centro.dat`
f5=`awk '{print $1}' mapa_centro.dat`
f6=`awk '{print $2}' mapa_centro.dat`
gmt psxy -R$f1/$f2/$f3/$f4 -Jm${f5}/${f6}/0.2i -W0.1 -G0 -X0i -Y6.25i  -O -K -V <<END>> p.ps
$f1 $f3
$f2 $f3
$f2 $f4
$f1 $f4
$f1 $f3
END
gmt pscoast -R -J -B0/0 -P -N1/0.2 -Dh -Slightblue -Ggray -W0.1 -K -X-0.05i -Y0.05i -V -O >> p.ps
r1=`awk '{print $1-0.25}' mapa_centro.dat`
r2=`awk '{print $1+0.25}' mapa_centro.dat`
r3=`awk '{print $2-0.25}' mapa_centro.dat`
r4=`awk '{print $2+0.25}' mapa_centro.dat`

gmt psxy -R -J -W1,red -O -V <<END>> p.ps
$r1 $r3
$r2 $r3
$r2 $r4
$r1 $r4
$r1 $r3
END


convert p.ps -crop 575x585+15+70 -quality 100 -flatten -background white mapa_detalle.png

display mapa_detalle.png
# cp p.ps reportex_mapa_epic.ps
# 
# ps2pdf p.ps map_loc_detalle.pdf
# mv map_loc_detalle.pdf $tempdir
# 


