#!/bin/bash


wget -O par.dat http://163.178.101.86/pal/temporal/param_jma_mmi.dat
r1=`awk '{if(NF==6) print 1; else print 0}' ../combinar/ubic.dat`

if [ $r1 == 0 ]
then
 if [ -f ../mw.dat ]
 then
   mx=`head -n 1 ../mw.dat`
   awk '{print $1,$2,$3,$4,$5,mg}' mg=$mx ../combinar/ubic.dat > ubic_loc.dat
   echo La magnitud es $mx
 else 
   mx=0.0
   awk '{print $1,$2,$3,$4,$5,mg}' mg=$mx ../combinar/ubic.dat > ubic_loc.dat
   echo
   echo == NO SE HA CALCULADO MAGNITUD ==   
   echo
 fi
else
  cp ../combinar/ubic.dat ubic_loc.dat
fi


awk  '{print $3,$4}' ubic_loc.dat > origin.d
px=`awk  '{if($3>-86. && $3<-82.4 && $4 > 7.5 && $4 < 11.1 ) print 1;else print 0}' ubic_loc.dat`
awk  '{print $3,$4}' ubic_loc.dat
echo Condicion es $px

if [ $px == 1 ]
then
 xmin=-87
 xmax=-81.9
 ymin=7.0
 ymax=11.6
 echo Centro
else
 xmin=`awk '{print $1-2.3}' origin.d`
 xmax=`awk '{print $1+2.3}' origin.d`
 ymin=`awk '{print $2-2.3}' origin.d`
 ymax=`awk '{print $2+2.3}' origin.d`
 echo Fuera
fi



gmt gmtset MAP_FRAME_TYPE plain
gmt gmtset FONT_ANNOT_PRIMARY 10
gmt gmtset FONT_TITLE 12
gmt gmtset PS_MEDIA letter
      
gmt gmtset FONT_ANNOT_PRIMARY             = 10p,Helvetica,white
gmt gmtset FONT_ANNOT_SECONDARY           = 14p,Helvetica,white
gmt gmtset FONT_LABEL                     = 16p,Helvetica,white
gmt gmtset FONT_LOGO                      = 8p,Helvetica,white
gmt gmtset FONT_TITLE                     = 12p,Helvetica,white
      
      
      
      
ps=p.ps
#gmt makecpt -Cocean -T-7200/5000/100 -Z > z.cpt
#gmt makecpt -Cgray -T-5000/5000/100 -I > z1.cpt


gmt psbasemap -R$xmin/$xmax/$ymin/$ymax -JM5.5i -X0.5 -Y6.5 -B0 -K > $ps
gmt grdcut /usr/local/gmt/etopo/ETOPO1_Bed_g_gmt4.grd -R -GCR.nc
gmt grdgradient CR.nc -A50 -GCR_int.nc
gmt grdimage CR.nc -ICR_int.nc -Crelieve.cpt -J -O -K >> $ps

echo Sacando Costa Rica
gmt grdimage CR.nc -ICR_int.nc -Crelieve.cpt -J -O -K >> $ps
gmt pscoast -R -O -J -K -Df -W0.5 -N1 -N2,-,white  >> $ps
 
rx=`echo $xmax | awk '{print $1-0.3}'`
ry=`echo $ymax | awk '{print $1-0.8}'`

sx=`echo $xmax | awk '{print $1-0.55}'`
sy=`echo $ymin | awk '{print $1+0.5}'`

gmt pscoast -J -R -O -N1/1 -W0.5 -K -Df -T$rx/$ry/2/1 -L$sx/$sy/10.0/100.0+lkm >> $ps
gmt psxy -R -O -J -K -G54/181/190 -W0.1 kml/lago*.txt >> $ps
gmt psxy -R -O -J -K -G120 -W0.1 kml/isla*.txt >> $ps

rx=`echo $xmax | awk '{print $1-0.05}'`
ry=`echo $ymax | awk '{print $1-0.12}'`
gmt pstext -O -J -R -K -F+f7p,Helvetica,white,+jBR -Gblack <<END>> $ps
$rx $ry Laboratorio de Ingenier\355a S\355smica (UCR)
END

awk  '{print $3,$4}' ubic_loc.dat > origin.d
awk -F\; '{print $1,$2+0.05,$3}' ciudades.txt | gmt gmtselect  -C0.08/origin.d -R -J -Ic > ciudades_selectas_txt.txt
awk -F\; '{print $1,$2}' ciudades.txt | gmt gmtselect  -C0.08/origin.d -R -J -Ic > ciudades_selectas_pts.txt

gmt pstext -O -J -R -K -F+f8p,Times-Italic,black,+jBL ciudades_selectas_txt.txt >> $ps
gmt psxy -O -J -R -K -Ss0.1 -Gblack ciudades_selectas_pts.txt >> $ps

for i in 0.1 0.3 0.5 0.7
do
  awk  '{print $3,$4}' ubic_loc.dat | gmt psxy -J -R -O -Sc$i -W1,red -K >> $ps
done

rx=`echo $xmax | awk '{print $1-0.05}'`
ry=`echo $ymin | awk '{print $1+0.07}'`

awk '{printf"%f %f Mw=%3.1f P=%0.1fkm  Fecha=%s  Hora=%s\n", sx,sy,$6,$5,$1,$2}' sy=$ry sx=$rx ubic_loc.dat| gmt pstext -R -O -J -K -F+f11p,Helvetica,white,+jBR -Gblack >> $ps


awk '{print $1}' par.dat > m0.temp
if [ -f m00.temp ]
then
  rm m00.temp
fi
if [ -f m1.temp ]
then
  rm m1.temp
fi

for i in `cat m0.temp`
do
  c1=`grep $i ../estaciones2.txt | awk -F\; '{print $2,$3}'`
  c2=`grep $i par.dat | awk '{print $2}'`
  echo $c1 $c2 >> m1.temp
done

d1=`echo $xmin | awk '{print $1+0.2}'`
d2=`echo $xmin | awk '{print $1+1.0}'`
e1=`echo $ymin | awk '{print $1+0.1}'`
e2=`echo $ymin | awk '{print $1+0.6}'`
e3=`echo $ymin | awk '{print $1+1.37}'`
e4=`echo $ymin | awk '{print $1+0.1}'`

gmt psxy -R -J -Ss0.07i -Ctopo_intensidad.cpt -O -G0/255/0 -W0.5 -K m1.temp >> $ps
gmt psscale -D0.35i/1.05i/2.0i/0.15i -Ctopo_intensidad.cpt -Li -O -K -I  >> $ps
gmt pstext -F+f9p,Helvetica-Bold,white,+a90,+jBL -R -J -O -K -N <<END>> $ps
$d2 $e4 ACELRACION MAXIMA (Gales)
END

gmt pstext -F+f12p,Times-Italic,white,+jBL -R -J -O -K -N <<END>> $ps
-84.8 11.3 Nicaragua
-82.5 8.7 Panam\341
END

gmt pstext -F+f9p,Helvetica,white,+a90,+jBL -R -J -O -K -N <<END>> $ps
$d1 $e1  D\351bil
$d1 $e2 Moderado
$d1 $e3 Fuerte
END

gmt psxy -R -O -J <<END>> $ps
END

ps2pdf $ps p.pdf
convert -density 100 p.pdf -quality 90 output1.png
convert output1.png -crop 560x510+15+90 -quality 100 mapa_epicentro.png 
#display mapa_epicentro.png

rm -f gmt.conf *.nc z.cpt ciudades_selectas_pts.txt ciudades_selectas_txt.txt gmt.history m0.temp m1.temp output1.png par.dat ubic*.dat p.pdf p.ps origin.d  
